﻿@using SharedCode.Localization
@model SharedCode.WebUI.Models.IResetPasswordViewModel

@{
    ViewBag.Title = "ResetPassword";
}

<body>
    @using (Html.BeginForm(controllerName: AppStrings.LoginControllerName, actionName: AppStrings.ResetPasswordAction, method: FormMethod.Post))
    {
        @Html.AntiForgeryToken()
        @Html.HiddenFor(model => model.Code)
        @Html.HiddenFor(model => model.UserId)
        <div class="container login-container">
            <div class="row justify-content-center">
                <div class="col-md-6 login-form">
                    <h3>@LanguageStrings.ResetPasswordPageTitle</h3>
                    <form>
                        <div class="form-group">
                            @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = LanguageStrings.ResetPasswordViewModelPassword, @autocomplete = "off" })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.Password, String.Empty, new { @style = "color:maroon;!important" })
                        </div>
                        <div class="form-group">
                            @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = LanguageStrings.ResetPasswordViewModelPasswordConfirmation, @autocomplete = "off" })
                        </div>
                        <div class="form-group">
                            @Html.ValidationMessageFor(m => m.ConfirmPassword, String.Empty, new { @style = "color:maroon;!important" })
                        </div>
                        <div class="form-group">
                            @if (TempData[AppStrings.ResetPasswordMessageTag] != null)
                            {
                                <label style="color:maroon;"> @TempData[AppStrings.ResetPasswordMessageTag] </label>
                            }
                        </div>
                        <div class="form-group">
                            <input type="submit" class="btnSubmit mr-1" value="@LanguageStrings.ResetPasswordButtonTitle" />
                        </div>
                    </form>
                </div>
            </div>
        </div>
    }
</body>